---
title: Create
url: https://www.tines.com/docs/api/admin/users/create/
updated: 2024-11-15T20:22:42+00:00
description: Create a user in a Tines tenant.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Admin](https://www.tines.com/llm/docs/api/admin.md) › [Users](https://www.tines.com/llm/docs/api/admin/users.md)*

# Create

*[View on tines.com](https://www.tines.com/docs/api/admin/users/create/)*

## Description

Create a user in a Tines tenant.

## Request

HTTP Method: **POST**

| Query Parameter    | Description                                                                                                                                                        |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| email              | User email.                                                                                                                                                        |
| first_name         | **Optional** User first name.                                                                                                                                      |
| last_name          | **Optional** User last name.                                                                                                                                       |
| admin              | **Optional** Boolean flag indicating whether user should be admin. Default is false.                                                                               |
| tenant_permissions | **Optional** Array of tenant permission names, from the [list of available permissions](https://www.tines.com/docs/admin/user-administration/#tenant-permissions). |
| is_active          | **Optional** Boolean flag indicating whether user is active. Default is true.                                                                                      |

### Sample request

```bash

curl -X POST \
  https://<tenant-domain>/api/v1/admin/users \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
  -d '{
       "email": "alice@tines.xyz",
       "first_name": "Alice",
       "last_name": "Smith",
       "admin": false,
       "tenant_permissions": ["AUDIT_LOG_READ"]
      }'
```

## Response

A successful request will return a JSON object describing the created user.

### Field description

| Parameter          | Description                                                       |
| ------------------ | ----------------------------------------------------------------- |
| id                 | User ID.                                                          |
| scim_uid           | SCIM User ID.                                                     |
| email              | User email.                                                       |
| admin              | Boolean flag indicating whether user is an admin.                 |
| tenant_permissions | Array of tenant permission names.                                 |
| is_active          | Boolean flag indicating whether user is active.                   |
| created_at         | Timestamp describing when the user was created.                   |
| updated_at         | Timestamp describing when the user was last updated.              |
| first_name         | User first name.                                                  |
| last_name          | User last name.                                                   |
| last_seen          | Timestamp describing when the user was last seen in the platform. |

### Sample response

```json
{
  "id": 276,
  "scim_uid": null,
  "email": "alice@tines.xyz",
  "created_at": "2019-11-03T09:57:49.537Z",
  "updated_at": "2019-11-03T09:57:49.537Z",
  "admin": false,
  "is_active": true,
  "first_name": "Alice",
  "last_name": "Smith",
  "last_seen": null,
  "tenant_permissions": ["AUDIT_LOG_READ"]
}
```
